package com.zehong.system.service;

import java.util.List;
import com.zehong.system.domain.TSupBalStopSupOprPressLog;

/**
 * 供需平衡-停气监管-停气进度操作历史记录Service接口
 * 
 * @author zehong
 * @date 2024-07-16
 */
public interface ITSupBalStopSupOprPressLogService 
{
    /**
     * 查询供需平衡-停气监管-停气进度操作历史记录
     * 
     * @param fOprPressLogId 供需平衡-停气监管-停气进度操作历史记录ID
     * @return 供需平衡-停气监管-停气进度操作历史记录
     */
    public TSupBalStopSupOprPressLog selectTSupBalStopSupOprPressLogById(Long fOprPressLogId);

    /**
     * 查询供需平衡-停气监管-停气进度操作历史记录列表
     * 
     * @param tSupBalStopSupOprPressLog 供需平衡-停气监管-停气进度操作历史记录
     * @return 供需平衡-停气监管-停气进度操作历史记录集合
     */
    public List<TSupBalStopSupOprPressLog> selectTSupBalStopSupOprPressLogList(TSupBalStopSupOprPressLog tSupBalStopSupOprPressLog);

    /**
     * 新增供需平衡-停气监管-停气进度操作历史记录
     * 
     * @param tSupBalStopSupOprPressLog 供需平衡-停气监管-停气进度操作历史记录
     * @return 结果
     */
    public int insertTSupBalStopSupOprPressLog(TSupBalStopSupOprPressLog tSupBalStopSupOprPressLog);

    /**
     * 修改供需平衡-停气监管-停气进度操作历史记录
     * 
     * @param tSupBalStopSupOprPressLog 供需平衡-停气监管-停气进度操作历史记录
     * @return 结果
     */
    public int updateTSupBalStopSupOprPressLog(TSupBalStopSupOprPressLog tSupBalStopSupOprPressLog);

    /**
     * 批量删除供需平衡-停气监管-停气进度操作历史记录
     * 
     * @param fOprPressLogIds 需要删除的供需平衡-停气监管-停气进度操作历史记录ID
     * @return 结果
     */
    public int deleteTSupBalStopSupOprPressLogByIds(Long[] fOprPressLogIds);

    /**
     * 删除供需平衡-停气监管-停气进度操作历史记录信息
     * 
     * @param fOprPressLogId 供需平衡-停气监管-停气进度操作历史记录ID
     * @return 结果
     */
    public int deleteTSupBalStopSupOprPressLogById(Long fOprPressLogId);
}
